### Constructor

# GimpUi ZoomPreview new_with_model_from_drawable

since: 2.10

#### Declaration [src]

    GtkWidget*
    gimp_zoom_preview_new_with_model_from_drawable (
      GimpDrawable* drawable,
      GimpZoomModel* model
    )

#### Description [src]

Creates a new `GimpZoomPreview` widget for `drawable` using the given `model`.

This variant of `gimp_zoom_preview_new_from_drawable()` allows you to create a preview using an existing zoom model. This may be useful if for example you want to have two zoom previews that keep their zoom factor in sync.

Available since: 2.10

#### Parameters

`drawable`

  Type: `GimpDrawable`

  A `GimpDrawable`.

  The data is owned by the caller of the function.

`model`

  Type: `GimpZoomModel`

  A `GimpZoomModel`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GimpZoomPreview`.

The data is owned by the called function.